Bug 52914 - auto sync: determine transport of local sync configs
Summary: auto sync: determine transport of local sync configs
Status: RESOLVED MOVED
Alias: None
Product: SyncEvolution
Classification: Unclassified
Component: SyncEvolution (show other bugs)
Version: unspecified
Hardware: All All
: medium normal
Assignee: SyncEvolution Community
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-12 14:32 UTC by Patrick Ohly
Modified: 2018-10-13 12:43 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Patrick Ohly 2012-07-29 18:36:00 UTC


---- Reported by patrick.ohly@intel.com 2011-07-12 10:42:33 +0000 ----

Auto-syncing of local sync configs probably doesn't work at the moment because they never match the "peer is online" checks in the AutoSyncManager code.

The manager should determine what the peer needs based on peerType. Checking the target config's syncURL doesn't work well because there might not be any.

There also needs to be fallback for "don't know whether it works", in which case syncing should be allowed.



---- Additional Comments From patrick.ohly@intel.com 2011-07-12 14:32:19 +0000 ----

+++ This bug was initially created as a clone of https://bugs.meego.com/show_bug.cgi?id=20970 +++

The manager should determine what the peer needs based on peerType. Checking
the target config's syncURL doesn't work well because there might not be any. Right now the code assumes that local:// sync depends on HTTP:

} else if (boost::istarts_with(url, "local")) {
            // TODO: instead of assuming that local sync needs HTTP, really look into the target config
            // and determine what the peerType is
            transport = AutoSyncTask::NEEDS_HTTP;



---- Additional Comments From patrick.ohly@intel.com 2011-07-13 11:01:40 +0000 ----

https://bugs.meego.com/show_bug.cgi?id=20970 is fixed, this one still needs to be dealt with.



--- Bug imported by patrick.ohly@gmx.de 2012-07-29 20:36 UTC  ---

This bug was previously known as _bug_ 20990 at https://bugs.meego.com/show_bug.cgi?id=20990
This bug depended on bug(s) 20970.
Comment 1 GitLab Migration User 2018-10-13 12:43:36 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/SyncEvolution/syncevolution/issues/109.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.